# Uses of Class
javax.sound.midi.Instrument

Packages that use Instrument
Package
Description
javax.sound.midi
Provides interfaces and classes for I/O, sequencing, and synthesis of MIDI (Musical Instrument Digital Interface) data.

## Uses of Instrument in javax.sound.midi

Methods in javax.sound.midi that return Instrument
Modifier and Type
Method
Description
`Instrument[]`
Synthesizer.`getAvailableInstruments()`
Obtains a list of instruments that come with the synthesizer.
`Instrument`
Soundbank.`getInstrument(Patch patch)`
Obtains an `Instrument` from the given `Patch`.
`Instrument[]`
Soundbank.`getInstruments()`
Obtains a list of instruments contained in this sound bank.
`Instrument[]`
Synthesizer.`getLoadedInstruments()`
Obtains a list of the instruments that are currently loaded onto this `Synthesizer`.
Methods in javax.sound.midi with parameters of type Instrument
Modifier and Type
Method
Description
`boolean`
Synthesizer.`loadInstrument(Instrument instrument)`
Makes a particular instrument available for synthesis.
`boolean`
Synthesizer.`remapInstrument(Instrument from, Instrument to)`
Remaps an instrument.
`void`
Synthesizer.`unloadInstrument(Instrument instrument)`
Unloads a particular instrument.